---
updatedAt: 2026-05-07T13:26:35.000Z
agentTools:
  siteIndex: https://developers.pismo.io/llms.txt
  projectIndex: https://developers.pismo.io/pismo-docs/llms.txt
---

# Allow freezing/unfreezing card benefits

Allows freezing or unfreezing a card for benefits.

This endpoint generates a [Cards benefits allocation updated](https://developers.pismo.io/events/docs/cards-benefits-allocation-1) event.

**Note:** This is a PCI endpoint, use the https://gw-pci.pismolabs.io environment.


# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "Card issuing - Cards",
    "version": "1.4.6",
    "description": "Card endpoints API",
    "contact": {
      "name": "API Support",
      "url": "https://developers.pismo.io/support/"
    },
    "license": {
      "name": "Copyright Pismo"
    }
  },
  "servers": [
    {
      "url": "https://sandbox.pismolabs.io",
      "description": "Sandbox API server for testing."
    },
    {
      "url": "https://gw-pci.pismolabs.io",
      "description": "Sandbox PCI API server for testing."
    }
  ],
  "security": [
    {
      "BearerAuth": []
    }
  ],
  "tags": [
    {
      "name": "Mastercard benefits",
      "description": "Card benefits endpoints"
    }
  ],
  "components": {
    "schemas": {
      "CardID2": {
        "type": "integer",
        "description": "Pismo card ID",
        "example": 123456
      },
      "Freeze": {
        "type": "object",
        "required": [
          "card_id",
          "freezing_enabled"
        ],
        "properties": {
          "card_id": {
            "$ref": "#/components/schemas/CardID2"
          },
          "freezing_enabled": {
            "$ref": "#/components/schemas/FreezingEnabled"
          }
        }
      },
      "FreezingEnabled": {
        "type": "boolean",
        "description": "Is freezing enabled?",
        "example": false
      }
    },
    "securitySchemes": {
      "BearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "description": "Account token - an access token encoded with a Pismo account ID. Tokens can expire quickly, which can result in an \"Unauthorized\" error.",
        "bearerFormat": "JWT"
      }
    },
    "responses": {
      "204NoContent": {
        "description": "No Content"
      },
      "400BadRequest": {
        "description": "Bad Request"
      },
      "401Unauthorized": {
        "description": "Access token is missing or invalid"
      },
      "403Forbidden": {
        "description": "You don't have permission to access this resource"
      },
      "500InternalServer": {
        "description": "Internal server error"
      }
    }
  },
  "paths": {
    "/pcicards/v1/pcicards/benefits/cards/freeze": {
      "put": {
        "operationId": "post-v1-benefits-cards-freeze",
        "summary": "Allow freezing/unfreezing card benefits",
        "description": "Allows freezing or unfreezing a card for benefits.\n\nThis endpoint generates a [Cards benefits allocation updated](https://developers.pismo.io/events/docs/cards-benefits-allocation-1) event.\n\n**Note:** This is a PCI endpoint, use the https://gw-pci.pismolabs.io environment.\n",
        "tags": [
          "Mastercard benefits"
        ],
        "requestBody": {
          "description": "Allow freezing/unfreezing card benefits request body",
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/Freeze"
              }
            }
          }
        },
        "responses": {
          "204": {
            "$ref": "#/components/responses/204NoContent"
          },
          "400": {
            "$ref": "#/components/responses/400BadRequest"
          },
          "401": {
            "$ref": "#/components/responses/401Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/403Forbidden"
          },
          "500": {
            "$ref": "#/components/responses/500InternalServer"
          }
        }
      }
    }
  }
}
```